Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.externalevent
Class ExternalEvent

    java.lang.Object
      java.util.EventObject
          echopointng.externalevent.ExternalEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ExternalEvent

extends java.util.EventObject

`ExternalEvent` represents an event that has been raised externally to the Echo web application.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ExternalEvent(java.lang.Object source, java.util.Map eventParameters)` Creates an ExternalEvent.

Method Summary
`java.lang.String` | `getParameter(java.lang.String paramName)` Returns the value of an ExternalEvent request parameter as a String, or null if the parameter does not exist.
`java.util.Map` | `getParameterMap()` Returns the Map of web request parameters that where encountered during this ExternalEvent.
`java.lang.String[]` | `getParameterNames()` Returns a String[] containing the names of the parameters contained in this ExternalEvent.
`java.lang.String[]` | `getParameterValues(java.lang.String paramName)` Returns an array of String objects containing all of the values the given ExternalEvent parameter has, or null if the parameter does not exist.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalEvent

    public ExternalEvent(java.lang.Object source,
                         java.util.Map eventParameters)

  Creates an ExternalEvent.

  Parameters:
    `source` - the source of the event

Method Detail

### getParameterMap

    public java.util.Map getParameterMap()

  Returns the Map of web request parameters that where encountered during this ExternalEvent.

  Returns:
    - the Map of parameters that where encountered during this external event.

### getParameter

    public java.lang.String getParameter(java.lang.String paramName)

  Returns the value of an ExternalEvent request parameter as a String, or null if the parameter does not exist. You should only use this method when you are sure the parameter has only one value.

  If the parameter might have more than one value, use getParameterValues(String).

  If you use this method with a multivalued parameter, the value returned is equal to the first value in the array returned by getParameterValues().

  Parameters:
    `paramName` - - the name of the parameter to retrieve
  Returns:
    the first parameter value or null

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String paramName)

  Returns an array of String objects containing all of the values the given ExternalEvent parameter has, or null if the parameter does not exist.

  If the parameter has a single value, the array has a length of 1.

  Parameters:
    `paramName` - - the name of the parameter to retrieve
  Returns:
    the all the parameter values or null

### getParameterNames

    public java.lang.String[] getParameterNames()

  Returns a String[] containing the names of the parameters contained in this ExternalEvent. If the external web request has no parameters, the method returns a zero length array.

  Returns:
    a String[] containing the names of the parameters contained in this ExternalEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD